<!DOCTYPE html>

<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="description" content="">
		<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
		
		<title>Eat Near You</title>
		
		<link rel="apple-touch-icon" href="apple-touch-icon-iphone.png" />
		<link rel="apple-touch-icon" sizes="72x72" href="apple-touch-icon-ipad.png" />
		<link rel="apple-touch-icon" sizes="114x114" href="apple-touch-icon-iphone4.png" />
	
		<link rel="stylesheet" href="css/yui_reset.css" type="text/css" media="screen" title="" charset="utf-8">
		<link rel="stylesheet" href="css/master.css" type="text/css" media="all" title="master" charset="utf-8">

		<!--[if IE]>
		<link rel="stylesheet" href="_/css/_patches/win-ie-all.css">
		<![endif]-->
		<!--[if IE 7]>
		<link rel="stylesheet" href="_/css/_patches/win-ie7.css">
		<![endif]-->
		<!--[if lt IE 7]>
		<link rel="stylesheet" href="_/css/_patches/win-ie-old.css">
		<![endif]-->
		
		<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

	</head>
	<body>
		<div id="container">
			<header>
				<h1>Eat Near You</h1>
			</header>

			<article>
				<form action="index_submit.php" method="post" accept-charset="utf-8">
					<fieldset>
						<legend>About You:</legend>
						<ul>
							<li><label for="first_name">First Name:</label><input type="text" name="first_name" value="" id="first_name" <?php if ($_GET['status']=="error") { echo "class=\"required\""; } ?> /></li>
							<li><label for="last_name">Last Name:</label><input type="text" name="last_name" value="" id="last_name" <?php if ($_GET['status']=="error") { echo "class=\"required\""; } ?> /></li>
						</ul>
					</fieldset>
					<fieldset class="checkOptions">
						<legend>What Are You Looking For?</legend>
						<!--Collect the categories the user is interested in. Use "[]" so PHP can see them as an array -->
						<ul>
							<li><input type="checkbox" name="categories[]" value="bakeries" id="bakeries" /><label for="bakeries">Bakeries</label></li>
							<li><input type="checkbox" name="categories[]" value="beer_and_wine" id="beer_and_wine" /><label for="beer_and_wine">Beer, Wine &amp; Spirits</label></li>
							<li><input type="checkbox" name="categories[]" value="breweries" id="breweries" /><label for="breweries">Breweries</label></li>
							<li><input type="checkbox" name="categories[]" value="coffee" id="coffee" /><label for="coffee">Coffee &amp; Tea</label></li>
							<li><input type="checkbox" name="categories[]" value="convenience" id="convenience" /><label for="convenience">Convenience Stores</label></li>
							<li><input type="checkbox" name="categories[]" value="desserts" id="desserts" /><label for="desserts">Desserts</label></li>
							<li><input type="checkbox" name="categories[]" value="diyfood" id="diyfood" /><label for="diyfood">Do-It-Yourself Food</label></li>
							<li><input type="checkbox" name="categories[]" value="farmersmarket" id="farmersmarket" /><label for="farmersmarket">Farmers Market</label></li>
							<li><input type="checkbox" name="categories[]" value="fooddeliveryservices" id="fooddeliveryservices" /><label for="fooddeliveryservices">Food Delivery Services</label></li>
							<li><input type="checkbox" name="categories[]" value="icecream" id="icecream" /><label for="icecream">Ice Cream &amp; Frozen Yogurt</label></li>
							<li><input type="checkbox" name="categories[]" value="internetcafe" id="internetcafe" /><label for="internetcafe">Internet Cafes</label></li>
							<li><input type="checkbox" name="categories[]" value="juicebars" id="juicebars" /><label for="juicebars">Juice Bars &amp; Smoothies</label></li>
							<li><input type="checkbox" name="categories[]" value="gourmet" id="gourmet" /><label for="gourmet">Specialty Food/Gourmet</label></li>
							<li><input type="checkbox" name="categories[]" value="candy" id="candy" /><label for="candy">Candy Stores</label></li>
							<li><input type="checkbox" name="categories[]" value="cheese" id="cheese" /><label for="cheese">Cheese Shops</label></li>
							<li><input type="checkbox" name="categories[]" value="chocolate" id="chocolate" /><label for="chocolate">Chocolatiers and Shops</label></li>
							<li><input type="checkbox" name="categories[]" value="ethnicmarkets" id="ethnicmarkets" /><label for="ethnicmarkets">Ethnic Food</label></li>
							<li><input type="checkbox" name="categories[]" value="healthmarkets" id="healthmarkets" /><label for="healthmarkets">Health Markets</label></li>
							<li><input type="checkbox" name="categories[]" value="meats" id="meats" /><label for="meats">Meat Shops/Butchers</label></li>
							<li><input type="checkbox" name="categories[]" value="seafoodmarkets" id="seafoodmarkets" /><label for="seafoodmarkets">Seafood Markets</label></li>
							<li><input type="checkbox" name="categories[]" value="tea" id="tea" /><label for="tea">Tea Rooms</label></li>
							<li><input type="checkbox" name="categories[]" value="wineries" id="wineries" /><label for="wineries">Wineries</label></li>
						</ul>
					</fieldset>
					<p id="locationFeedback">
						Determining your location... <img src='images/loader.gif' />
					</p>
					<!-- Hidden form fields populated by Javascript with long/lat coordinates -->
					<input type="hidden" name="long" value="" id="long" />
					<input type="hidden" name="lat" value="" id="lat" />
					
					<!--Hide the submit button until Javascript gets the location determined -->
					<input type="submit" value="Continue &rarr;" disabled="true" id="submitButton" />
				</form>
			</article>

			<?php include("footer.php");?>
		</div>
	</body>
	<script language="javascript">
		function getLocation() {
			//Set an error message if user location cannot be gathered
			document.getElementById("locationFeedback").innerHTML="Your device or browser does not support location services, so your location cannot be determined.";
			if(navigator.geolocation) {
				//Location can be gathered, show a spinning wheel until it's found
				document.getElementById("locationFeedback").innerHTML="Determining your location... <img src='images/loader.gif' />";
				navigator.geolocation.getCurrentPosition(function(position) {  
					//location found, set the hidden form values to store long/lat of the location, hide the spinning wheel, and activate the submit button
					document.getElementById("long").value = position.coords.longitude;
					document.getElementById("lat").value = position.coords.latitude;
					document.getElementById("locationFeedback").innerHTML="";
					document.getElementById("submitButton").disabled = false;
				});
			}
		}
		getLocation();
	</script>
</html>
