<?php
if ($_POST['first_name'] == "") {
	header("Location:index.php?status=error");
	exit;
}
?>

<!DOCTYPE html>

<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="description" content="">
		
		<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
		
		<title>Eat Near You: Food Near location</title>
		
		<link rel="apple-touch-icon" href="apple-touch-icon-iphone.png" />
		<link rel="apple-touch-icon" sizes="72x72" href="apple-touch-icon-ipad.png" />
		<link rel="apple-touch-icon" sizes="114x114" href="apple-touch-icon-iphone4.png" />
	
		<link rel="stylesheet" href="css/yui_reset.css" type="text/css" media="screen" title="" charset="utf-8">
		<link rel="stylesheet" href="css/master.css" type="text/css" media="all" title="master" charset="utf-8">

		<!--[if IE]>
		<link rel="stylesheet" href="_/css/_patches/win-ie-all.css">
		<![endif]-->
		<!--[if IE 7]>
		<link rel="stylesheet" href="_/css/_patches/win-ie7.css">
		<![endif]-->
		<!--[if lt IE 7]>
		<link rel="stylesheet" href="_/css/_patches/win-ie-old.css">
		<![endif]-->
		
		<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

	</head>
	<body>
		<div id="container">
			<header>
				<h1>Eat Near You</h1>
				<h2>Welcome 
					<?php 
						//read first and last name from the post variable
						echo $_POST[first_name]." ".$_POST[last_name]."!";
					?>
				</h2>
			</header>

			<article>
				<?php
					// assemble the checkbox array into one long string delinated with "+" for use by Yelp
					$yelpCategories = implode("+", $_POST[categories]);
					
					// retrieve the yelp JSON object using the long/lat (acquired on the previous page via JS and hidden form fields) and the categories the user selected.
					// start with a short distance and gradually add distance until we get at least three results
					$radius = 1;
					$yelpJSON = file_get_contents("http://api.yelp.com/business_review_search?term=yelp&lat=".$_POST[lat]."&long=".$_POST[long]."&radius=".$radius."&limit=25&ywsid=jyB9JKxh15vqZthXcQQfMg&category=".$yelpCategories);
					$yelpArr = json_decode($yelpJSON);
					while (count($yelpArr->businesses) < 3) :
						$yelpJSON = file_get_contents("http://api.yelp.com/business_review_search?term=yelp&lat=".$_POST[lat]."&long=".$_POST[long]."&radius=".$radius."&limit=25&ywsid=jyB9JKxh15vqZthXcQQfMg&category=".$yelpCategories);
						$yelpArr = json_decode($yelpJSON);
						$radius = $radius + 1;
					endwhile;
					
					//display the results from yelp:
					echo "<p>";
					echo "	The following are within ".$radius." miles of you:";
					echo "</p>";
					echo "<ul class=\"resultsList\">";
					// use the JSON object to construct the list of results
					// the yelp array is a multi-dimentional array. The entry "businesses" in it contains each of the individual businesses
					//   loop through this businesses array and display information for each
					foreach($yelpArr->businesses as $yelpBusiness):
						echo "<li onclick = \"javascript:launchYelp('".$yelpBusiness->url."'); \">";
						// Yelp photo for the business
						echo "	<img src=\"".$yelpBusiness->photo_url_small."\" class=\"businessImage\" />";
						// Yelp title for the business
						echo "	<h3>".$yelpBusiness->name."</h3>";
						// Yelp rating for the business
						echo "	<img src=\"".$yelpBusiness->rating_img_url_small."\" class=\"businessRating\" />";
						// Yelp category (which is inside the categories array within the business) name
						echo "	<div class=\"category\">".$yelpBusiness->categories[0]->name."</div>";
						// Yelp address for the business
						echo "	<address>".$yelpBusiness->address1."</address>";
						echo $yelpBusiness->phone;
						echo "	<hr />";
						echo "</li>";
					endforeach;
					echo "</ul>";
				?>
			</article>
			<?php include("footer.php");?>
		</div>
	</body>
	<!-- Javascript to launch the link to the business' entry in yelp when the user taps on one of the businesses -->
	<script language="javascript">
		function launchYelp(urlToLaunch) {
			document.location=urlToLaunch;
		}
	</script>
</html>
